NAME = crypto_test

# from sources.bp
SOURCES = \
  crypto_test_data.cc \
  src/crypto/abi_self_test.cc \
  src/crypto/asn1/asn1_test.cc \
  src/crypto/base64/base64_test.cc \
  src/crypto/bio/bio_test.cc \
  src/crypto/blake2/blake2_test.cc \
  src/crypto/buf/buf_test.cc \
  src/crypto/bytestring/bytestring_test.cc \
  src/crypto/chacha/chacha_test.cc \
  src/crypto/cipher_extra/aead_test.cc \
  src/crypto/cipher_extra/cipher_test.cc \
  src/crypto/cmac/cmac_test.cc \
  src/crypto/compiler_test.cc \
  src/crypto/constant_time_test.cc \
  src/crypto/cpu-arm-linux_test.cc \
  src/crypto/crypto_test.cc \
  src/crypto/curve25519/ed25519_test.cc \
  src/crypto/curve25519/spake25519_test.cc \
  src/crypto/curve25519/x25519_test.cc \
  src/crypto/dh_extra/dh_test.cc \
  src/crypto/digest_extra/digest_test.cc \
  src/crypto/dsa/dsa_test.cc \
  src/crypto/ecdh_extra/ecdh_test.cc \
  src/crypto/err/err_test.cc \
  src/crypto/evp/evp_extra_test.cc \
  src/crypto/evp/evp_test.cc \
  src/crypto/evp/pbkdf_test.cc \
  src/crypto/evp/scrypt_test.cc \
  src/crypto/fipsmodule/aes/aes_test.cc \
  src/crypto/fipsmodule/bn/bn_test.cc \
  src/crypto/fipsmodule/ec/ec_test.cc \
  src/crypto/fipsmodule/ec/p256-x86_64_test.cc \
  src/crypto/fipsmodule/ecdsa/ecdsa_test.cc \
  src/crypto/fipsmodule/md5/md5_test.cc \
  src/crypto/fipsmodule/modes/gcm_test.cc \
  src/crypto/fipsmodule/rand/ctrdrbg_test.cc \
  src/crypto/fipsmodule/rand/fork_detect_test.cc \
  src/crypto/fipsmodule/sha/sha_test.cc \
  src/crypto/hkdf/hkdf_test.cc \
  src/crypto/hmac_extra/hmac_test.cc \
  src/crypto/hpke/hpke_test.cc \
  src/crypto/hrss/hrss_test.cc \
  src/crypto/impl_dispatch_test.cc \
  src/crypto/lhash/lhash_test.cc \
  src/crypto/obj/obj_test.cc \
  src/crypto/pem/pem_test.cc \
  src/crypto/pkcs7/pkcs7_test.cc \
  src/crypto/pkcs8/pkcs12_test.cc \
  src/crypto/pkcs8/pkcs8_test.cc \
  src/crypto/poly1305/poly1305_test.cc \
  src/crypto/pool/pool_test.cc \
  src/crypto/rand_extra/rand_test.cc \
  src/crypto/refcount_test.cc \
  src/crypto/rsa_extra/rsa_test.cc \
  src/crypto/self_test.cc \
  src/crypto/siphash/siphash_test.cc \
  src/crypto/stack/stack_test.cc \
  src/crypto/test/abi_test.cc \
  src/crypto/test/file_test_gtest.cc \
  src/crypto/test/gtest_main.cc \
  src/crypto/thread_test.cc \
  src/crypto/trust_token/trust_token_test.cc \
  src/crypto/x509/x509_test.cc \
  src/crypto/x509/x509_time_test.cc \
  src/crypto/x509v3/tab_test.cc \
  src/crypto/x509v3/v3name_test.cc \
  \
  src/crypto/test/file_test.cc \
  src/crypto/test/malloc.cc \
  src/crypto/test/test_util.cc \
  src/crypto/test/wycheproof_util.cc \

OBJECTS = $(SOURCES:.cc=.o)

CXXFLAGS += -std=gnu++17
CPPFLAGS += \
  -D_XOPEN_SOURCE=700 \
  -DBORINGSSL_ANDROID_SYSTEM \
  -DBORINGSSL_IMPLEMENTATION \
  -DBORINGSSL_SHARED_LIBRARY \
  -DOPENSSL_SMALL \
  -Isrc/include \

LDFLAGS += \
  -Ldebian/out \
  -Wl,-rpath=/usr/lib/$(DEB_HOST_MULTIARCH)/android \
  -lcrypto \
  -lgtest \
  -lpthread \
  -lssl \

build: $(OBJECTS)
	$(CXX) $^ -o debian/out/$(NAME) $(LDFLAGS)

$(OBJECTS): %.o: %.cc
	$(CXX) -c -o $@ $< $(CXXFLAGS) $(CPPFLAGS)
