include eureka.mk

NAME = libssl
SOURCES = $(ssl_sources)

OBJECTS = $(SOURCES:.cc=.o)

CXXFLAGS += -std=gnu++17 \
  -fvisibility=hidden \

CPPFLAGS += \
  -D_XOPEN_SOURCE=700 \
  -DBORINGSSL_ANDROID_SYSTEM \
  -DBORINGSSL_IMPLEMENTATION \
  -DBORINGSSL_SHARED_LIBRARY \
  -DOPENSSL_SMALL \
  -Isrc/include \

LDFLAGS += \
  -Ldebian/out \
  -Wl,-rpath=/usr/lib/$(DEB_HOST_MULTIARCH)/android \
  -Wl,-soname,$(NAME).so.0 \
  -lcrypto \
  -shared \

build: $(OBJECTS)
	$(CC) $^ -o debian/out/$(NAME).so.0 $(LDFLAGS)
	ln -s $(NAME).so.0 debian/out/$(NAME).so

$(OBJECTS): %.o: %.cc
	$(CXX) -c -o $@ $< $(CXXFLAGS) $(CPPFLAGS)
