NAME = ssl_test

# from sources.bp
SOURCES = \
  src/crypto/test/abi_test.cc \
  src/crypto/test/gtest_main.cc \
  src/ssl/span_test.cc \
  src/ssl/ssl_c_test.c \
  src/ssl/ssl_test.cc \
  \
  src/crypto/test/file_test.cc \
  src/crypto/test/malloc.cc \
  src/crypto/test/test_util.cc \
  src/crypto/test/wycheproof_util.cc \

SOURCES_C = $(filter %.c,$(SOURCES))
OBJECTS_C = $(SOURCES_C:.c=.o)
SOURCES_CC = $(filter %.cc,$(SOURCES))
OBJECTS_CC = $(SOURCES_CC:.cc=.o)

CFLAGS += -std=gnu99
CXXFLAGS += -std=gnu++17
CPPFLAGS += \
  -D_XOPEN_SOURCE=700 \
  -DBORINGSSL_ANDROID_SYSTEM \
  -DBORINGSSL_IMPLEMENTATION \
  -DBORINGSSL_SHARED_LIBRARY \
  -DOPENSSL_SMALL \
  -Isrc/include \

LDFLAGS += \
  -Ldebian/out \
  -Wl,-rpath=/usr/lib/$(DEB_HOST_MULTIARCH)/android \
  -lcrypto \
  -lgtest \
  -lpthread \
  -lssl \

build: $(OBJECTS_C) $(OBJECTS_CC)
	$(CXX) $^ -o debian/out/$(NAME) $(LDFLAGS)

$(OBJECTS_C): %.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS) $(CPPFLAGS)

$(OBJECTS_CC): %.o: %.cc
	$(CXX) -c -o $@ $< $(CXXFLAGS) $(CPPFLAGS)
